# ColorfulCurves

## Installation

You can install dependencies using either `conda` or `pip`.

### Conda

Install [Anaconda](https://www.anaconda.com/products/individual) or [Miniconda](https://docs.conda.io/en/latest/miniconda.html).
(Miniconda is faster to install.) Choose the 64-bit Python 3.x version. Launch the Anaconda shell from the Start menu and navigate to this directory.
Then:

    conda env create -f environment.yml
    conda activate colorfulcurves

To update an already created environment if the `environment.yml` file changes, first activate and then run `conda env update --file environment.yml --prune`.

### Pip

(Optional) Create a virtual environment:

    python3 -m venv .venv
    source .venv/bin/activate

Install dependencies:

    pip install -r requirements.txt

(untested) If you want to install the exact version of the dependencies we used, run: `pip install -r requirements.frozen.txt`

### (Optional) Compile Cython

After setting up the environment, you can compile the Cython file with `cythonize -i func/aux/GteDistPointTriangle.pyx`. If you don't, it will happen automatically when you launch the GUI.

## Usage

Launch the GUI:

    python3 GUI.py

See the Tutorial here: `user study/instructions/Tutorial.pdf`.
